<template>
  <FormTemplate>
    <template #content>
      <h1 class="text-2xl">Login</h1>
      <form @submit.prevent="validateLogin" class="flex flex-col pt-8 p-4">
        <JInput v-model="user" type="text" title="User name" placeholder="User name"/>
        <JInput v-model="pass" type="password" title="Password" placeholder="Password"/>
        <JButton :disabled="disabled" class="self-center" title="Login"/>
      </form>
    </template>
  </FormTemplate>
</template>

<script>
import { Options, Vue } from 'vue-class-component';
import JButton from '@/components/atoms/JButton.vue'
import FormTemplate from '@/components/template/FormTemplate.vue'
import JInput from '@/components/atoms/JInput.vue'
@Options({
  components: {
    JButton,
    FormTemplate,
    JInput
  },
})
export default class SingIn extends Vue {
  user= '';
  pass ='';
  
  get disabled() {
    return !(this.user.length > 0 && this.pass.length > 0)
  }

  validateLogin() {
    let usersRaw = localStorage.getItem('users')
    let users = usersRaw ? JSON.parse(usersRaw) : []
    const userValid = users.filter(item => item.user === this.user && item.pass === this.pass ) 

    userValid.length && localStorage.setItem('userLoged', JSON.stringify(users[0]))
    userValid.length && this.$router.push({ name: 'profile'})
  }

}
</script>
